%define name	 qmail
%define version  1.03
%define release  b3
%define qdir	 /var/qmail

%define confcc	gcc

Name:		%{name}
Summary:	qmail Mail Transfer Agent
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers
URL:		http://www.qmail.org/
Source:		%{name}-%{version}.tar.bz2
Source3:	qmail.rc
Source4:	qmail.init
Source5:	qmail-install.sh

Patch1:		qmail-date-localtime.patch
Patch2:		qmail-popup-auth.patch
Patch3:		qmail-1.03-errno.patch
Patch5:		qmail-smtpd-relay-reject.patch

# for anti spam
Source10:	qmail-control-badremotehost
Source11:	qmail-control-goodremotehost
Patch4:		qmail-badremotehost.patch

Requires:	chkconfig, initscripts, sh-utils, ucspi-tcp, checkpw
BuildRequires:	shadow-utils, groff
Buildroot:	%{_tmppath}/%{name}-%{version}
Conflicts:	sendmail exim smail postfix
Provides:	smtpdaemon MTA
Packager:	Yuichiro Nakada

Requires:	checkpw
Requires:	ucspi-tcp
#BuildArchitectures: i586


%description
qmail is a small, fast, secure replacement for the sendmail package, which is
the program that actually receives, routes, and delivers electronic mail.


##
## Setup Section
##

%prep
COMPILER="Compiler:		$(gcc -v 2>& 1|tail -1)"
HARDWARE="Hardware platform:	$(uname -m)"
LIBRARY="Library:		$(rpm -q glibc)"
OSVERSION="Linux Kernel:	$(uname -sr)"
PACKAGER="Packager:		%{packager}"
#MDKRELEASE="Berry release:	$(cat /etc/berry-release)"
#MDKRELEASE="Berry release:	$(cat /etc/redhat-release)"
RPMVERSION="RPM Version:	$(rpm -q rpm)"
RPMOPTIONS="Package build options: "
RPMOPTIONS="$RPMOPTIONS"

%setup -q
### set compiler options --------------------------------------------------
echo "%{confcc} %{optflags}" >conf-cc
echo "gcc -s %{optflags}" >conf-ld

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4
%patch5


##
## Build Section
##

%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}

### cleanup any lingering tempfiles ---------------------------------------
rm -f %{_tmppath}/{{qmail,nofiles}-g,alias-u,qmail{d,l,p,q,r,s}-u}

### create groups and users -----------------------------------------------
grep "^qmail:" /etc/group >/dev/null || touch %{_tmppath}/qmail-g
if [ -f %{_tmppath}/qmail-g ]; then
  groupadd -r -g 400 qmail
fi
grep "^nofiles:" /etc/group >/dev/null || touch %{_tmppath}/nofiles-g
if [ -f %{_tmppath}/nofiles-g ]; then
  groupadd -r -g 401 nofiles
fi
grep "^alias:" /etc/passwd >/dev/null || touch %{_tmppath}/alias-u
if [ -f %{_tmppath}/alias-u ]; then
  useradd -d %{qdir}/alias -g nofiles -u 400 -M -r -s /bin/true alias
fi
grep "^qmaild:" /etc/passwd >/dev/null || touch %{_tmppath}/qmaild-u
if [ -f %{_tmppath}/qmaild-u ]; then
  useradd -d %{qdir} -g nofiles -u 401 -M -r -s /bin/true qmaild
fi
grep "^qmaill:" /etc/passwd >/dev/null || touch %{_tmppath}/qmaill-u
if [ -f %{_tmppath}/qmaill-u ]; then
  useradd -d %{qdir} -g nofiles -u 402 -M -r -s /bin/true qmaill
fi
grep "^qmailp:" /etc/passwd >/dev/null || touch %{_tmppath}/qmailp-u
if [ -f %{_tmppath}/qmailp-u ]; then
  useradd -d %{qdir} -g nofiles -u 403 -M -r -s /bin/true qmailp
fi
grep "^qmailq:" /etc/passwd >/dev/null || touch %{_tmppath}/qmailq-u
if [ -f %{_tmppath}/qmailq-u ]; then
  useradd -d %{qdir} -g qmail -u 404 -M -r -s /bin/true qmailq
fi
grep "^qmailr:" /etc/passwd >/dev/null || touch %{_tmppath}/qmailr-u
if [ -f %{_tmppath}/qmailr-u ]; then
  useradd -d %{qdir} -g qmail -u 405 -M -r -s /bin/true qmailr
fi
grep "^qmails:" /etc/passwd >/dev/null || touch %{_tmppath}/qmails-u
if [ -f %{_tmppath}/qmails-u ]; then
  useradd -d %{qdir} -g qmail -u 406 -M -r -s /bin/true qmails
fi

make compile makelib
make it man


##
## Install Section
##

%install
export PATH="/sbin:/usr/sbin:/bin:/usr/bin"

### install directories ---------------------------------------------------
#mkdir -p %{buildroot}%{_sysconfdir}/cron.hourly
#mkdir -p %{buildroot}%{qdir}/{alias,control,owners,users,bin,man}
mkdir -p %{buildroot}%{qdir}/{alias,control,users,bin,man}
mkdir -p %{buildroot}{%{_libdir},%{_sbindir}}

# install
# we use custom qmail-install.sh script since we can't patch installer

cp %{SOURCE5} $RPM_BUILD_DIR/%{name}-%{version}
chmod u+x qmail-install.sh
export RPM_BUILD_ROOT=%{buildroot}
export RPM_BUILD_DIR=$RPM_BUILD_DIR
export NAME=%{name}
export VERSION=%{version}
export QDIR=%{qdir}
./qmail-install.sh

touch %{buildroot}%{qdir}/alias/Mailbox
mkdir -p %{buildroot}%{qdir}/alias/Maildir/{cur,new,tmp}
# add by Nakada

install -m755 instcheck %{buildroot}%{qdir}/bin
install -m755 config-fast %{buildroot}%{qdir}/bin

pushd %{buildroot}%{qdir}/alias
  touch .qmail-postmaster .qmail-mailer-daemon .qmail-root
  chmod 644 .qmail*
popd

#mkdir -p %{buildroot}%{_sysconfdir}/cron.hourly
#install -m755 %{SOURCE2} %{buildroot}%{_sysconfdir}/cron.hourly/qmail

install -m755 %{SOURCE3} %{buildroot}%{qdir}/rc
#echo "./Maildir" >%{buildroot}%{qdir}/control/defaultdelivery
#mkdir -p %{buildroot}/var/log/qmail/{smtpd,pop3d,qmqpd,qmtpd}

# install /etc/init.d/qmail
#qmaild_uid=`grep "^qmaild:" /etc/passwd | awk -F":" '{ print $3 }'`
#nofiles_gid=`grep "^nofiles:" /etc/group | awk -F":" '{ print $3 }'`
#pop_server="localhost"

mkdir -p %{buildroot}%{_sysconfdir}/rc.d/init.d
install -m755 %{SOURCE4} %{buildroot}%{_sysconfdir}/rc.d/init.d/qmail
#cat > %{buildroot}%{_sysconfdir}/rc.d/init.d/qmail << EOM
#EOM
#chmod 755 %{buildroot}%{_sysconfdir}/rc.d/init.d/qmail

pushd %{buildroot}%{qdir}/control
  touch defaultdomain me plusdomain rcpthosts
  # add localhost to locals file so programs like fetchmail can send mail to
  # user@localhost and it will be accepted
  echo "localhost" > locals
  # set remote and local concurrency limits; they can go no higher than that
  # set in conf-spawn, which is 120 by default
#  echo "90" > concurrencyremote
#  echo "20" > concurrencylocal
#  echo "20" > concurrencyincoming
#  echo "20" > concurrencyqmqp
#  echo "# you can add RBL sites to this file by using -r[host] (refer to rblsmtpd" > blacklists
#  echo "-rbl.spamcop.net" >> blacklists
  chmod 644 *
popd

# for anti spam
install -m644 %{SOURCE10} %{buildroot}%{qdir}/control/badremotehost
install -m644 %{SOURCE11} %{buildroot}%{qdir}/control/goodremotehost


#pushd %{buildroot}%{qdir}/users
#  touch append assign cdb mailnames subusers
#  chmod 644 *
#popd

# sendmail compatability links
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_libdir}
pushd %{buildroot}%{_sbindir}
  ln -s ../..%{qdir}/bin/sendmail sendmail
popd
pushd %{buildroot}%{_libdir}
  ln -s ../..%{qdir}/bin/sendmail sendmail
popd

#cat <<EOFaliasempty >%{buildroot}%{qdir}/control/aliasempty
#|dot-forward .forward
#|preline procmail
#EOFaliasempty

### Make for supervise
#mkdir -p %{buildroot}%{qdir}/supervise/qmail-send/log
#mkdir -p %{buildroot}%{qdir}/supervise/qmail-smtpd/log
#mkdir -p %{buildroot}%{qdir}/supervise/qmail-pop3d/log
#mkdir -p %{buildroot}%{qdir}/supervise/qmail-qmqpd/log
#mkdir -p %{buildroot}%{qdir}/supervise/qmail-qmtpd/log

#install -m755 %{SOURCE6} %{buildroot}%{qdir}/supervise/qmail-pop3d/run
#install -m755 %{SOURCE7} %{buildroot}%{qdir}/supervise/qmail-pop3d/log/run
#install -m755 %{SOURCE8} %{buildroot}%{qdir}/supervise/qmail-send/run
#install -m755 %{SOURCE9} %{buildroot}%{qdir}/supervise/qmail-send/log/run
#install -m755 %{SOURCE10} %{buildroot}%{qdir}/supervise/qmail-smtpd/run
#install -m755 %{SOURCE11} %{buildroot}%{qdir}/supervise/qmail-smtpd/log/run
# qmqp
#install -m755 %{SOURCE12} %{buildroot}%{qdir}/supervise/qmail-qmqpd/run
#install -m755 %{SOURCE13} %{buildroot}%{qdir}/supervise/qmail-qmqpd/log/run
#install -m755 %{SOURCE15} %{buildroot}%{qdir}/supervise/qmail-qmtpd/run
#install -m755 %{SOURCE16} %{buildroot}%{qdir}/supervise/qmail-qmtpd/log/run

### Make /etc/tcprules.d/qmail-smtp
mkdir -p %{buildroot}%{_sysconfdir}/tcprules.d
# Setup default /etc/tcprules.d/qmail-smtp
#cat <<EOFqmail-smtp >%{buildroot}%{_sysconfdir}/tcprules.d/qmail-smtp
#127.:allow,RELAYCLIENT=""
#EOFqmail-smtp

### Make /etc/tcprules.d/qmail-qmqp
# Setup default /etc/tcprules.d/qmail-qmqp
#cat <<EOFqmail-qmqp >%{buildroot}%{_sysconfdir}/tcprules.d/qmail-qmqp
#:deny
#EOFqmail-qmqp

### Make /etc/tcprules.d/qmail-pop3
# Setup default /etc/tcprules.d/qmail-pop3
#cat <<EOFqmail-pop3 >%{buildroot}%{_sysconfdir}/tcprules.d/qmail-pop3
#127.:allow
#EOFqmail-pop3

### Make /var/qmail/control/qmqpservers
#cat <<EOF >%{buildroot}%{qdir}/control/qmqpservers
# List one IP address per line for QMQP servers that qmail-qmqpc will
# attempt to deliver to
#EOF

cat << EOF > %{buildroot}%{_sysconfdir}/tcp.smtp
192.168.:allow,RELAYCLIENT=""
127.:allow,RELAYCLIENT=""
EOF

mkdir -p %{buildroot}%{_sysconfdir}/skel/Maildir/{cur,new,tmp}
echo "./Maildir/" > %{buildroot}%{_sysconfdir}/skel/.qmail

find %{buildroot}%{qdir}/man -type f -exec bzip2 -9f {} \;


%pre
### Before installation ---------------------------------------------------
# create groups and users
echo "Creating users and groups for qmail..."
grep "^qmail:" %{_sysconfdir}/group >/dev/null || groupadd -r -g 400 qmail
grep "^nofiles:" %{_sysconfdir}/group >/dev/null || groupadd -r -g 401 nofiles
grep "^alias:" %{_sysconfdir}/passwd >/dev/null || useradd -d %{qdir}/alias -g nofiles -u 400 -M -r -s /bin/true alias
grep "^qmaild:" %{_sysconfdir}/passwd >/dev/null || useradd -d %{qdir} -g nofiles -u 401 -M -r -s /bin/true qmaild
grep "^qmaill:" %{_sysconfdir}/passwd >/dev/null || useradd -d %{qdir} -g nofiles -u 402 -M -r -s /bin/true qmaill
grep "^qmailp:" %{_sysconfdir}/passwd >/dev/null || useradd -d %{qdir} -g nofiles -u 403 -M -r -s /bin/true qmailp
grep "^qmailq:" %{_sysconfdir}/passwd >/dev/null || useradd -d %{qdir} -g qmail -u 404 -M -r -s /bin/true qmailq
grep "^qmailr:" %{_sysconfdir}/passwd >/dev/null || useradd -d %{qdir} -g qmail -u 405 -M -r -s /bin/true qmailr
grep "^qmails:" %{_sysconfdir}/passwd >/dev/null || useradd -d %{qdir} -g qmail -u 406 -M -r -s /bin/true qmails

# Disable deliveries if upgrading
if [ $1 = 2 ]; then
  test -d %{qdir}/alias && chmod +t %{qdir}/alias
  test -d /home && chmod +t /home/*
fi

# Try to stop qmail daemons for those who do not stop it first
/sbin/service qmail stop >/dev/null 2>/dev/null || :


%preun
### Before un-installation ------------------------------------------------
# Try to stop qmail daemons for those who do not stop it first
# do a quick test to make sure qmail-send is running, if not don't execute
# the initscript or we get extra noise
TEST=`pidof qmail-send`
[[ -z $TEST ]] || /sbin/service qmail stop >/dev/null 2>/dev/null || :

/sbin/chkconfig --del qmail


%post
### Post installation -----------------------------------------------------
# Re-enable deliveries if upgrading
if [ $1 = 2 ]; then
  test -d %{qdir}/alias && chmod -t %{qdir}/alias
  test -d /home && chmod -t /home/*
fi

# set up files in %{qdir}/control only if we are not upgrading
if [ $1 = "1" ]; then
    (
    cd %{qdir}/bin
    ./config-fast $(hostname -f)
    # generate a proper queue/lock/tcpok file
    ./qmail-tcpok
    )
fi

if [ -f /usr/bin/tcprules ]; then
  echo "Compiling default cdb files in %{_sysconfdir}/tcp.smtp..."
  /sbin/service qmail cdb
fi

echo "Please edit %{qdir}/alias/.qmail-postmaster"
echo " and change the username of who to send postmaster/mailer-daemon"
echo " messages to (currently is nobody)."

# manually run /etc/cron.hourly/qmail to initialize system:
#echo "Initializing user base..."
#sh %{_sysconfdir}/cron.hourly/qmail

#if [ -f %{qdir}/doc/make-cert ]; then
#  if [ ! -f %{qdir}/control/servercert.pem ]; then
#    echo ""
#    echo "Generating dummy self-signed certificate..."
#    yes ""|sh %{qdir}/doc/make-cert >/dev/null 2>&1
#    echo "You should create a proper certificate using either make-cert or"
#    echo "make-cert-req in %{qdir}/doc to generate it."
#  fi
#fi

# add /var/qmail/man to manpath
if [ $1 = "1" ]; then
  echo "MANPATH /var/qmail/man" >> %{_sysconfdir}/man.config
fi

#%_post_service qmail
/sbin/chkconfig --add qmail

#%post qmqpd
#if [ -f /usr/bin/tcprules ]; then
#  echo "Compiling default cdb files in %{_sysconfdir}/tcprules.d..."
#  /sbin/service qmail cdb
#fi
#/sbin/service qmail restart


%postun
### Post uninstallation ----------------------------------------------------
# If qmail is removed (so not upgraded):
if [ $1 = 0 ]; then
  # this is needed for user* and group* programs
  export PATH=$PATH:/usr/sbin

  echo ""
  echo "Removing qmail groups (if they exist):"
  function user_del() {
    if usermod -U $1 >/dev/null 2> /dev/null; then
      echo "   Removing $1 user ..."
      userdel $1
    fi
  }
  function group_del() {
    if groupmod $1 >/dev/null 2> /dev/null; then
      echo "   Removing $1 group ..."
      groupdel $1
    fi
  }

  for i in alias qmaild qmaill qmailp qmailq qmailr qmails; do
    #%_postun_userdel $i
    user_del $i
  done
  #%_postun_groupdel qmail
  #%_postun_groupdel nofiles
  group_del qmail
  group_del nofiles

  # remove /var/qmail/man from manpath
  perl -pi -e 's|MANPATH /var/qmail/man||g' %{_sysconfdir}/man.config
fi


##
## Clean Section
##

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

# now we need to remove qmail users, but we check the semaphores we made
# in case this is being built on a system with qmail already installed
echo ""
echo "Removing qmail users if we added them:"

function user_del() {
  if [ -f %{_tmppath}/$1-u ]; then
    userdel $1
    rm -f %{_tmppath}/$1-u
  fi
}
for i in alias qmaild qmaill qmailp qmailq qmailr qmails; do
  user_del $i
done

echo ""
echo "Removing qmail groups if we added them:"
function group_del() {
  if [ -f %{_tmppath}/$1-g ]; then
    groupdel $1
    rm -f %{_tmppath}/$1-g
  fi
}
for i in nofiles qmail; do
  group_del $i
done

# cleanup any lingering tempfiles
rm -f %{_tmppath}/{{qmail,nofiles}-g,alias-u,qmail{d,l,p,q,r,s}-u}


##
## Files Section
##

%files
%defattr(-,-,qmail)
#docs
#%attr(-,root,qmail) %doc BLURB BLURB2 BLURB3 BLURB4 CHANGES FAQ FILES README.RPM README.patches
%attr(-,root,qmail) %doc BLURB BLURB2 BLURB3 BLURB4 CHANGES FAQ FILES
%attr(-,root,qmail) %doc INSTALL INSTALL.* INTERNALS PIC.* README REMOVE.*
%attr(-,root,qmail) %doc SECURITY SENDMAIL TEST.* THANKS THOUGHTS TODO UPGRADE

# config (system)
#%attr(0755,root,root) %config(noreplace) %{_sysconfdir}/cron.hourly/qmail
%attr(0755,root,root) %config(noreplace) %{_sysconfdir}/rc.d/init.d/qmail
#%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/tcprules.d/qmail-smtp
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/tcp.smtp
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/skel/.qmail

# config (qmail)
%attr(0644,alias,nofiles) %config(missingok,noreplace) %{qdir}/alias/.qmail-*
%attr(0644,root,qmail) %config(missingok,noreplace) %{qdir}/control/defaultdomain
#%attr(0644,root,qmail) %config(noreplace) %{qdir}/control/defaultdelivery
%attr(0644,root,qmail) %config(missingok,noreplace) %{qdir}/control/locals
%attr(0644,root,qmail) %config(missingok,noreplace) %{qdir}/control/plusdomain
%attr(0644,root,qmail) %config(missingok,noreplace) %{qdir}/control/rcpthosts
#%attr(0644,root,qmail) %config(noreplace) %{qdir}/control/concurrencyincoming
#%attr(0644,root,qmail) %config(noreplace) %{qdir}/control/concurrencylocal
#%attr(0644,root,qmail) %config(noreplace) %{qdir}/control/concurrencyremote
#%attr(0644,root,qmail) %config(noreplace) %{qdir}/control/aliasempty
%attr(0644,root,qmail) %config(noreplace) %{qdir}/control/me
%attr(0644,root,qmail) %config(noreplace) %{qdir}/control/badremotehost
%attr(0644,root,qmail) %config(noreplace) %{qdir}/control/goodremotehost
#%attr(0644,root,qmail) %config(noreplace) %{qdir}/control/blacklists
#%attr(0644,root,qmail) %config(missingok,noreplace) %{qdir}/users/assign
#%attr(0644,root,qmail) %config(missingok,noreplace) %{qdir}/users/cdb
#%attr(0644,root,qmail) %config(noreplace) %{qdir}/users/append
#%attr(0644,root,qmail) %config(noreplace) %{qdir}/users/mailnames
#%attr(0644,root,qmail) %config(noreplace) %{qdir}/users/subusers
%attr(0755,root,qmail) %{qdir}/rc

# symlinks (sendmail)
%attr(-,root,qmail) %{_libdir}/sendmail
%attr(-,root,qmail) %{_sbindir}/sendmail

# directories
%attr(0755,root,qmail) %dir %{qdir}
%attr(2755,alias,qmail) %dir %{qdir}/alias
%attr(2700,alias,qmail) %dir %{qdir}/alias/Maildir
%attr(2700,alias,qmail) %dir %{qdir}/alias/Maildir/cur
%attr(2700,alias,qmail) %dir %{qdir}/alias/Maildir/new
%attr(2700,alias,qmail) %dir %{qdir}/alias/Maildir/tmp
%attr(0755,root,qmail) %dir %{qdir}/bin
%attr(0755,root,qmail) %dir %{qdir}/boot
%attr(0755,root,qmail) %dir %{qdir}/control
%attr(0755,root,qmail) %dir %{qdir}/doc
%attr(0755,root,qmail) %dir %{qdir}/man
%attr(0755,root,qmail) %dir %{qdir}/man/man1
%attr(0755,root,qmail) %dir %{qdir}/man/man5
%attr(0755,root,qmail) %dir %{qdir}/man/man7
%attr(0755,root,qmail) %dir %{qdir}/man/man8
%attr(0750,qmailq,qmail) %dir %{qdir}/queue
#%attr(0755,root,root) %dir %{qdir}/supervise
#%attr(1755,root,root) %dir %{qdir}/supervise/qmail-send
#%attr(1755,root,root) %dir %{qdir}/supervise/qmail-smtpd
%attr(0755,root,qmail) %dir %{qdir}/users
#%attr(0755,qmaill,root) %dir /var/log/qmail
#%attr(0755,qmaill,root) %dir /var/log/qmail/smtpd
%attr(0755,root,root) %dir %{_sysconfdir}/skel/Maildir
%attr(0755,root,root) %dir %{_sysconfdir}/skel/Maildir/cur
%attr(0755,root,root) %dir %{_sysconfdir}/skel/Maildir/new
%attr(0755,root,root) %dir %{_sysconfdir}/skel/Maildir/tmp

# qmail docs
%attr(0644,root,qmail) %{qdir}/doc/*

# supervise
#%attr(0755,root,qmail) %{qdir}/supervise/qmail-send/run
#%attr(0755,root,qmail) %{qdir}/supervise/qmail-send/log/run
#%attr(0755,root,qmail) %{qdir}/supervise/qmail-smtpd/run
#%attr(0755,root,qmail) %{qdir}/supervise/qmail-smtpd/log/run

# man pages
%attr(0644,root,qmail) %{qdir}/man/man1/qreceipt.1*
%attr(0644,root,qmail) %{qdir}/man/man1/condredirect.1*
%attr(0644,root,qmail) %{qdir}/man/man1/mailsubj.1*
%attr(0644,root,qmail) %{qdir}/man/man1/except.1*
%attr(0644,root,qmail) %{qdir}/man/man1/maildirmake.1*
%attr(0644,root,qmail) %{qdir}/man/man1/preline.1*
%attr(0644,root,qmail) %{qdir}/man/man1/tcp-env.1*
%attr(0644,root,qmail) %{qdir}/man/man1/bouncesaying.1*
%attr(0644,root,qmail) %{qdir}/man/man1/maildir2mbox.1*
%attr(0644,root,qmail) %{qdir}/man/man1/qbiff.1*
%attr(0644,root,qmail) %{qdir}/man/man1/forward.1*
%attr(0644,root,qmail) %{qdir}/man/man1/maildirwatch.1*
%attr(0644,root,qmail) %{qdir}/man/man5/qmail-users.5*
%attr(0644,root,qmail) %{qdir}/man/man5/maildir.5*
%attr(0644,root,qmail) %{qdir}/man/man5/qmail-header.5*
%attr(0644,root,qmail) %{qdir}/man/man5/envelopes.5*
%attr(0644,root,qmail) %{qdir}/man/man5/mbox.5*
%attr(0644,root,qmail) %{qdir}/man/man5/tcp-environ.5*
%attr(0644,root,qmail) %{qdir}/man/man5/qmail-control.5*
%attr(0644,root,qmail) %{qdir}/man/man5/qmail-log.5*
%attr(0644,root,qmail) %{qdir}/man/man5/addresses.5*
%attr(0644,root,qmail) %{qdir}/man/man5/dot-qmail.5*
%attr(0644,root,qmail) %{qdir}/man/man7/qmail-limits.7*
%attr(0644,root,qmail) %{qdir}/man/man7/forgeries.7*
%attr(0644,root,qmail) %{qdir}/man/man7/qmail.7*
%attr(0644,root,qmail) %{qdir}/man/man8/qmail-tcpto.8*
%attr(0644,root,qmail) %{qdir}/man/man8/qmail-qread.8*
%attr(0644,root,qmail) %{qdir}/man/man8/splogger.8*
%attr(0644,root,qmail) %{qdir}/man/man8/qmail-start.8*
%attr(0644,root,qmail) %{qdir}/man/man8/qmail-newu.8*
%attr(0644,root,qmail) %{qdir}/man/man8/qmail-tcpok.8*
%attr(0644,root,qmail) %{qdir}/man/man8/qmail-inject.8*
%attr(0644,root,qmail) %{qdir}/man/man8/qmail-clean.8*
%attr(0644,root,qmail) %{qdir}/man/man8/qmail-getpw.8*
%attr(0644,root,qmail) %{qdir}/man/man8/qmail-command.8*
%attr(0644,root,qmail) %{qdir}/man/man8/qmail-showctl.8*
%attr(0644,root,qmail) %{qdir}/man/man8/qmail-rspawn.8*
%attr(0644,root,qmail) %{qdir}/man/man8/qmail-smtpd.8*
%attr(0644,root,qmail) %{qdir}/man/man8/qmail-qstat.8*
%attr(0644,root,qmail) %{qdir}/man/man8/qmail-pw2u.8*
%attr(0644,root,qmail) %{qdir}/man/man8/qmail-queue.8*
%attr(0644,root,qmail) %{qdir}/man/man8/qmail-popup.8*
%attr(0644,root,qmail) %{qdir}/man/man8/qmail-lspawn.8*
%attr(0644,root,qmail) %{qdir}/man/man8/qmail-newmrh.8*
%attr(0644,root,qmail) %{qdir}/man/man8/qmail-local.8*
%attr(0644,root,qmail) %{qdir}/man/man8/qmail-send.8*
%attr(0644,root,qmail) %{qdir}/man/man8/qmail-remote.8*

# qmail queue
%attr(0700,qmails,qmail) %dir %{qdir}/queue/bounce
%attr(0700,qmails,qmail) %dir %{qdir}/queue/info
%attr(0700,qmails,qmail) %{qdir}/queue/info/*
%attr(0700,qmailq,qmail) %dir %{qdir}/queue/intd
%attr(0700,qmails,qmail) %dir %{qdir}/queue/local
%attr(0700,qmails,qmail) %{qdir}/queue/local/*
%attr(0750,qmailq,qmail) %dir %{qdir}/queue/lock
%attr(0600,qmails,qmail) %{qdir}/queue/lock/sendmutex
%attr(0644,qmailr,qmail) %{qdir}/queue/lock/tcpto
# mkfifo -m 0622 trigger
%attr(-,qmails,qmail) %{qdir}/queue/lock/trigger
%attr(0750,qmailq,qmail) %dir %{qdir}/queue/mess
%attr(0750,qmailq,qmail) %{qdir}/queue/mess/*
%attr(0700,qmailq,qmail) %dir %{qdir}/queue/pid
%attr(0700,qmails,qmail) %dir %{qdir}/queue/remote
%attr(0700,qmails,qmail) %{qdir}/queue/remote/*
%attr(0750,qmailq,qmail) %dir %{qdir}/queue/todo

# boot files
%attr(0755,root,qmail) %{qdir}/boot/home
%attr(0755,root,qmail) %{qdir}/boot/home+df
%attr(0755,root,qmail) %{qdir}/boot/binm1
%attr(0755,root,qmail) %{qdir}/boot/binm2+df
%attr(0755,root,qmail) %{qdir}/boot/proc+df
%attr(0755,root,qmail) %{qdir}/boot/binm2
%attr(0755,root,qmail) %{qdir}/boot/binm3
%attr(0755,root,qmail) %{qdir}/boot/proc
%attr(0755,root,qmail) %{qdir}/boot/binm3+df
%attr(0755,root,qmail) %{qdir}/boot/binm1+df

# binaries
%attr(0755,root,qmail) %{qdir}/bin/bouncesaying
%attr(0755,root,qmail) %{qdir}/bin/condredirect
%attr(0755,root,qmail) %{qdir}/bin/config-fast
%attr(0755,root,qmail) %{qdir}/bin/datemail
%attr(0755,root,qmail) %{qdir}/bin/elq
%attr(0755,root,qmail) %{qdir}/bin/except
%attr(0755,root,qmail) %{qdir}/bin/forward
%attr(0755,root,qmail) %{qdir}/bin/instcheck
%attr(0755,root,qmail) %{qdir}/bin/maildir2mbox
%attr(0755,root,qmail) %{qdir}/bin/maildirmake
%attr(0755,root,qmail) %{qdir}/bin/maildirwatch
%attr(0755,root,qmail) %{qdir}/bin/mailsubj
%attr(0755,root,qmail) %{qdir}/bin/pinq
%attr(0755,root,qmail) %{qdir}/bin/predate
%attr(0755,root,qmail) %{qdir}/bin/preline
%attr(0755,root,qmail) %{qdir}/bin/qail
%attr(0755,root,qmail) %{qdir}/bin/qbiff
%attr(0711,root,qmail) %{qdir}/bin/qmail-clean
%attr(0711,root,qmail) %{qdir}/bin/qmail-getpw
%attr(0755,root,qmail) %{qdir}/bin/qmail-inject
%attr(0711,root,qmail) %{qdir}/bin/qmail-local
%attr(0700,root,qmail) %{qdir}/bin/qmail-lspawn
%attr(0700,root,qmail) %{qdir}/bin/qmail-newmrh
%attr(0700,root,qmail) %{qdir}/bin/qmail-newu
%attr(0711,root,qmail) %{qdir}/bin/qmail-pw2u
%attr(0755,root,qmail) %{qdir}/bin/qmail-qread
%attr(0755,root,qmail) %{qdir}/bin/qmail-qstat
%attr(04711,qmailq,qmail) %{qdir}/bin/qmail-queue
%attr(0711,root,qmail) %{qdir}/bin/qmail-remote
%attr(0711,root,qmail) %{qdir}/bin/qmail-rspawn
%attr(0711,root,qmail) %{qdir}/bin/qmail-send
%attr(0755,root,qmail) %{qdir}/bin/qmail-showctl
%attr(0755,root,qmail) %{qdir}/bin/qmail-smtpd
%attr(0700,root,qmail) %{qdir}/bin/qmail-start
%attr(0755,root,qmail) %{qdir}/bin/qmail-tcpok
%attr(0755,root,qmail) %{qdir}/bin/qmail-tcpto
%attr(0755,root,qmail) %{qdir}/bin/qreceipt
%attr(0755,root,qmail) %{qdir}/bin/qsmhook
%attr(0755,root,qmail) %{qdir}/bin/sendmail
%attr(0711,root,qmail) %{qdir}/bin/splogger
%attr(0755,root,qmail) %{qdir}/bin/tcp-env
#%if %{build_ldap}
#%attr(0755,root,qmail) %{qdir}/bin/auth_imap
#%attr(0755,root,qmail) %{qdir}/bin/auth_pop
#%attr(0755,root,qmail) %{qdir}/bin/qmail-ldaplookup
#%attr(0755,root,qmail) %{qdir}/bin/qmail-quotawarn
#%attr(0755,root,qmail) %{qdir}/bin/qmail-reply
#%endif
#%if %{build_tls}
#%attr(0755,root,qmail) %{qdir}/bin/mkqmailcert
#%endif


#%files pop3d
#%defattr(-,-,qmail)
#%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/tcprules.d/qmail-pop3
#%attr(1755,root,root) %dir %{qdir}/supervise/qmail-pop3d
#%attr(0755,root,qmail) %{qdir}/supervise/qmail-pop3d/run
#%attr(0755,root,qmail) %{qdir}/supervise/qmail-pop3d/log/run
#%attr(0755,qmaill,root) %dir /var/log/qmail/pop3d
%attr(0755,root,qmail) %{qdir}/bin/qmail-pop3d
%attr(0711,root,qmail) %{qdir}/bin/qmail-popup
%attr(0644,root,qmail) %{qdir}/man/man8/qmail-pop3d.8*


#%files qmqpd
#%defattr(-,-,qmail)
#%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/tcprules.d/qmail-qmqp
#%attr(0644,root,qmail) %config(noreplace) %{qdir}/control/concurrencyqmqp
#%attr(1755,root,root) %dir %{qdir}/supervise/qmail-qmqpd
#%attr(0755,root,qmail) %{qdir}/supervise/qmail-qmqpd/run
#%attr(0755,root,qmail) %{qdir}/supervise/qmail-qmqpd/log/run
#%attr(0755,qmaill,root) %dir /var/log/qmail/qmqpd
#%attr(1755,root,root) %dir %{qdir}/supervise/qmail-qmtpd
#%attr(0755,root,qmail) %{qdir}/supervise/qmail-qmtpd/run
#%attr(0755,root,qmail) %{qdir}/supervise/qmail-qmtpd/log/run
#%attr(0755,qmaill,root) %dir /var/log/qmail/qmtpd
#%attr(0644,root,qmail) %config(missingok,noreplace) %{qdir}/control/qmqpservers
%attr(0755,root,qmail) %{qdir}/bin/qmail-qmqpc
%attr(0755,root,qmail) %{qdir}/bin/qmail-qmqpd
%attr(0755,root,qmail) %{qdir}/bin/qmail-qmtpd
%attr(0644,root,qmail) %{qdir}/man/man8/qmail-qmqpd.8*
%attr(0644,root,qmail) %{qdir}/man/man8/qmail-qmtpd.8*
%attr(0644,root,qmail) %{qdir}/man/man8/qmail-qmqpc.8*


##
## change log
##

%changelog
* Tue May 3 2011 Yuichiro Nakada <berry@rberry.co.cc>
- Added qmail-smtpd-relay-reject.patch
* Wed Feb 23 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added qmail-badremotehost.patch for ANTI SPAM
- Changed qmail.init
* Mon Dec 8 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed qmail.init
- Added /sbin/chkconfig lines to this script
- Bug fixed in this sript
* Tue Sep 2 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed errno patch
* Sun Apr 27 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added errno patch
- qmail-1.03-23rph.src.rpm (http://www.rpmseek.com)
* Mon Apr 14 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added popup-auth patch
* Sat Mar 1 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
- from Mandrake Linux 9.0
- qmail-1.03-21rph.src.rpm
